
 function userlogin(){
    var xmlhttp;
    var str;
    var sendstr="";
     try{
             xmlhttp=new XMLHttpRequest();
         }
	catch(e){
             xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
        }
	xmlhttp.onreadystatechange=function(){
          if (xmlhttp.readyState==4){
              if (xmlhttp.status==200){		
			   str = xmlhttp.responseText;	
			   if(str!="")
			   {	
			     document.getElementById("userlogin").innerHTML=str;
			   }	
			   }else{
			   alert("系统错误,如有疑问,请与管理员联系!"+xmlhttp.status);
			 }
          }
       }
	xmlhttp.open("post","/config/userlogin.asp",true);
	xmlhttp.setRequestHeader('content-type','application/x-www-form-urlencoded');
	xmlhttp.send(sendstr); 
 }



 function newlist(){
    var xmlhttp;
    var str;
    var sendstr="";
     try{
             xmlhttp=new XMLHttpRequest();
         }
	catch(e){
             xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
        }
	xmlhttp.onreadystatechange=function(){
          if (xmlhttp.readyState==4){
              if (xmlhttp.status==200){		
			   str = xmlhttp.responseText;	
			   if(str!="")
			   {	
			     document.getElementById("newlist").innerHTML=str;
			   }	
			   }else{
			   alert("系统错误,如有疑问,请与管理员联系!"+xmlhttp.status);
			 }
          }
       }
	xmlhttp.open("post","/info/indexnews.asp",true);
	xmlhttp.setRequestHeader('content-type','application/x-www-form-urlencoded');
	xmlhttp.send(sendstr); 
 }


 function newlist1(){
    var xmlhttp;
    var str;
    var sendstr="";
     try{
             xmlhttp=new XMLHttpRequest();
         }
	catch(e){
             xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
        }
	xmlhttp.onreadystatechange=function(){
          if (xmlhttp.readyState==4){
              if (xmlhttp.status==200){		
			   str = xmlhttp.responseText;	
			   if(str!="")
			   {	
			     document.getElementById("newlist1").innerHTML=str;
			   }	
			   }else{
			   alert("系统错误,如有疑问,请与管理员联系!"+xmlhttp.status);
			 }
          }
       }
	xmlhttp.open("post","/info/indexnews1.asp",true);
	xmlhttp.setRequestHeader('content-type','application/x-www-form-urlencoded');
	xmlhttp.send(sendstr); 
 }





function CheckIfEnglish( String )
{
var Letters ="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890-_";
var i;
var c;
if(String.charAt( 0 )=='-')
return false;
if( String.charAt( String.length - 1 ) == '-' )
return false;
for( i = 0; i < String.length; i ++ )
{
c = String.charAt( i );
if (Letters.indexOf( c ) < 0)
return false;
}
return true;
}
function CheckIfChinese( String )
{ 
     var Letters = "`=~!@#$%^&*()_+[]{}\\|/?.>,<;:'\"";
     var i;
     var c;
     for( i = 0; i < String.length; i ++ )
     {
         c = String.charAt( i );
	     if (Letters.indexOf( c ) >= 0)
	       return false;
     }
     return true;
}
function CheckIfSpace(String)
{
	 var i;
     for( i = 0; i < String.length; i ++ )
     {
	 	  if(String.charAt(i) == ' ')
		   	 return true;
     }
     return false;
}

function submitchecken() {
//alert(document.frmsearchInt.searchedDomainName.value);
if (document.frmsearchInt.searchedDomainName.value == "") {
alert("请输入您要查询的英文域名。");
document.frmsearchInt.searchedDomainName.focus();
return false;
}

if (!CheckIfEnglish(document.frmsearchInt.searchedDomainName.value )) {
alert("在查询英文域名应输入英文不能输入中文及非法字符！");
document.frmsearchInt.searchedDomainName.focus();
return false;
}
document.frmsearchInt.searchType.value = "IntDomain";
return true;
}

function submitchecken2() 
{

	if (document.frmsearchInt2.searchedDomainName.value == "") 
	{
		alert("请输入您要查询的中文域名。");
		document.frmsearchInt2.searchedDomainName.focus();
		return false;
	}

	if (! CheckIfChinese(document.frmsearchInt2.searchedDomainName.value)) 
	{
		alert("在查询中文域名应输入中文与英文不能输入非法字符！");
		document.frmsearchInt2.searchedDomainName.focus();
		return false;
	}

	if (CheckIfSpace(document.frmsearchInt2.searchedDomainName.value)) 
	{
		alert("在查询中文域名应输入中文与英文不能输入空格！");
		document.frmsearchInt2.searchedDomainName.focus();
		return false;
	}
	
	if (CheckIfEnglish(document.frmsearchInt2.searchedDomainName.value)) 
	{
		alert("在查询中文域名应输入中文与英文不能输入全为英文！");
		document.frmsearchInt2.searchedDomainName.focus();
		return false;
	}
	document.frmsearchInt2.searchType.value = "IntDomain";
	return true;
}
function submitchecken1() {

	if (document.frmsearchInt1.searchedDomainName.value=="") {
		alert("请输入您要查询的英文域名。");
		document.frmsearchInt1.searchedDomainName.focus();
		return false;
	}

	if (!CheckIfEnglish(document.frmsearchInt1.searchedDomainName.value )) {
		alert("在查询英文域名应输入英文不能输入中文及非法字符！");
		document.frmsearchInt1.searchedDomainName.focus();
		return false;
	}
	document.frmsearchInt1.searchType.value = "IntDomain";
	return true;
}
function submitchecken4() {

	if (document.frmsearchInt4.searchedDomainName.value=="") {
		alert("请输入您要查询的CN域名。");
		document.frmsearchInt4.searchedDomainName.focus();
		return false;
	}

	if (!CheckIfEnglish(document.frmsearchInt4.searchedDomainName.value )) {
		alert("在查询英文域名应输入英文不能输入中文及非法字符！");
		document.frmsearchInt4.searchedDomainName.focus();
		return false;
	}
	document.frmsearchInt4.searchType.value = "IntDomain";
	return true;
}


function submitchecken3() 
{

	if (document.frmsearchInt3.searchedDomainName.value == "") 
	{
		alert("请输入您要查询的中文域名。");
		document.frmsearchInt3.searchedDomainName.focus();
		return false;
	}

	if (! CheckIfChinese(document.frmsearchInt3.searchedDomainName.value)) 
	{
		alert("在查询中文域名应输入中文与英文不能输入非法字符！");
		document.frmsearchInt3.searchedDomainName.focus();
		return false;
	}

	if (CheckIfSpace(document.frmsearchInt3.searchedDomainName.value)) 
	{
		alert("在查询中文域名应输入中文与英文不能输入空格！");
		document.frmsearchInt3.searchedDomainName.focus();
		return false;
	}
	
	if (CheckIfEnglish(document.frmsearchInt3.searchedDomainName.value)) 
	{
		alert("在查询中文域名应输入中文与英文不能输入全为英文！");
		document.frmsearchInt3.searchedDomainName.focus();
		return false;
	}
	document.frmsearchInt3.searchType.value = "IntDomain";
	return true;
}

function submitchecken5() 
{

	if (document.frmsearchInt5.searchedDomainName.value == "") 
	{
		alert("请输入您要查询的Mobi域名。");
		document.frmsearchInt5.searchedDomainName.focus();
		return false;
	}

	if (! CheckIfEnglish(document.frmsearchInt5.searchedDomainName.value)) 
	{
		alert("在查询Mobi域名应输入英文不能输入非法字符！");
		document.frmsearchInt5.searchedDomainName.focus();
		return false;
	}

	if (CheckIfSpace(document.frmsearchInt5.searchedDomainName.value)) 
	{
		alert("在查询Mobi域名应输入英文不能输入空格！");
		document.frmsearchInt5.searchedDomainName.focus();
		return false;
	}
	
	document.frmsearchInt5.searchType.value = "IntDomain";
	return true;
}


